aboutsummaryrefslogtreecommitdiff
path: root/opal-ci
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2015-10-26 16:08:46 +1100
committerStewart Smith <stewart@linux.vnet.ibm.com>2015-10-26 16:48:58 +1100
commitd8830fde02f498cf657fd3141370289173688970 (patch)
tree4b2db196606020f70e24734fa7bfc34e205d2b83 /opal-ci
parent5a76659c0c2322f7c70d634cc51779582d25174d (diff)
downloadskiboot-d8830fde02f498cf657fd3141370289173688970.zip
skiboot-d8830fde02f498cf657fd3141370289173688970.tar.gz
skiboot-d8830fde02f498cf657fd3141370289173688970.tar.bz2
Support PowerNV Qemu for running tests
We now run tests under both Mambo and QEMU PowerNV model. Also added are scripts in opal-ci/ for building powernv model qemu. Currently, this is not yet in upstream qemu, so we build from Ben's branch. You can start using qemu along with/instead of Mambo by: 1) (cd ./opal-ci; sudo ./install-deps-qemu-powernv.sh; ./build-qemu-powernv.sh) 2) Pointing QEMU_PATH and QEMU_BINARY environment variables to appropriate qemu binary with powernv model When building qemu ourselves, we build a *specific* known good tag from the open-power tree. This should ensure that into the future existing test scripts should continue to function. Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'opal-ci')
-rwxr-xr-xopal-ci/build-qemu-powernv.sh8
-rwxr-xr-xopal-ci/install-deps-qemu-powernv.sh5
2 files changed, 13 insertions, 0 deletions
diff --git a/opal-ci/build-qemu-powernv.sh b/opal-ci/build-qemu-powernv.sh
new file mode 100755
index 0000000..5b9a4f4
--- /dev/null
+++ b/opal-ci/build-qemu-powernv.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+
+git clone --depth=1 -b qemu-powernv-for-skiboot-1 git://github.com/open-power/qemu.git
+cd qemu
+git submodule update --init dtc
+./configure --target-list=ppc64-softmmu --disable-werror
+make -j `grep -c processor /proc/cpuinfo`
diff --git a/opal-ci/install-deps-qemu-powernv.sh b/opal-ci/install-deps-qemu-powernv.sh
new file mode 100755
index 0000000..a67daf4
--- /dev/null
+++ b/opal-ci/install-deps-qemu-powernv.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+sudo apt-get -y install eatmydata
+sudo eatmydata apt-get -y install gcc python g++ pkg-config \
+libz-dev libglib2.0-dev libpixman-1-dev libfdt-dev git